empire_1.14-1build1_amd64.deb


Advertisement

Description

empire - war game of the century

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name empire
Package version 1.14
Package release 1build1
Package architecture amd64
Package type deb
Installed size 198 B
Download size 81.23 KB
Official Mirror archive.ubuntu.com
Empire is a console game simulation of a full-scale war between two
emperors, the computer and you. Naturally, there is only room for
one, so the object of the game is to destroy the other.
The world on which the game takes place is a square rectangle containing
cities, land and water. Cities are used to build armies, planes, and
ships which can move across the world destroying enemy pieces, exploring,
and capturing more cities.
The classic game from the 1980s uses text mode graphical output, drawing
your units, cities and the world in color. Commands are issued using
the keyboard.

Alternatives

Package Version Architecture Repository
empire_1.14-1build1_i386.deb 1.14 i386 Ubuntu Universe
empire - - -

Requires

Name Value
libc6 >= 2.14
libncurses5 >= 6
libtinfo5 >= 6

Download

Type URL
Binary Package empire_1.14-1build1_amd64.deb
Source Package empire

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install empire deb package:
    # sudo apt-get install empire

Files

Path
/usr/games/empire
/usr/share/appdata/vms-empire.xml
/usr/share/applications/empire.desktop
/usr/share/doc/empire/BUGS.gz
/usr/share/doc/empire/HACKING
/usr/share/doc/empire/README
/usr/share/doc/empire/changelog.Debian.gz
/usr/share/doc/empire/copyright
/usr/share/icons/hicolor/48x48/apps/vms-empire.png
/usr/share/man/man6/empire.6.gz
/usr/share/menu/empire
/usr/share/pixmaps/vms-empire.xpm

Changelog

2018-04-03 - Balint Reczey <rbalint@ubuntu.com>
empire (1.14-1build1) bionic; urgency=high
* No change rebuild to pick up -fPIE compiler default
2016-01-05 - Markus Koschany <apo@debian.org>
empire (1.14-1) unstable; urgency=medium
* Imported Upstream version 1.14. (Closes: #809992)
* Add get-orig-source target.
* Vcs-Browser: Use https.
* Update my e-mail address.
2014-12-23 - Markus Koschany <apo@gambaru.de>
empire (1.13-1) unstable; urgency=medium
* Imported Upstream version 1.13.
* Declare compliance with Debian Policy 3.9.6.
* Use shorter Vcs-Browser URI.
* Install renamed vms-empire icons and update menu and desktop files
accordingly.
* Install vms-empire.png to usr/share/icons/hicolor/48x48/apps.
* Override dh_auto_install. Do not use upstream's install target but Debian's
install file instead.
* Install vms-empire.xml file to /usr/share/appdata.
2014-06-18 - Markus Koschany <apo@gambaru.de>
empire (1.12-1) unstable; urgency=medium
* Imported Upstream version 1.12.
* Install HACKING with docs file
2014-01-12 - Markus Koschany <apo@gambaru.de>
empire (1.11-1) unstable; urgency=medium
* New maintainer Debian Games Team.
- Add myself to Uploaders. (Closes: #733320)
* Imported Upstream version 1.11.
- Fix several spelling errors in empire.6. Thanks to Bjarnig Ingi Gislason.
(LP: #1070946)
- Fix a typo in object.c that made a single city stop producing output.
Thanks to the anonymous reporter. (Closes: #593434)
* Switch to source format 3.0 (quilt).
* Bump compat level to 9 and require debhelper >= 9. Add compat file.
* Drop lintian.override.
* Switch to dh-sequencer. Pass default build flags to upstream's Makefile.
* Add manpages file.
* debian/control:
- Set priority from extra to optional.
- Update package to Standards-Version 3.9.5.
- Add VCS fields.
- Add Homepage field.
- Add ${misc:Depends} substvar.
- Fix typo "they" in package description. (Closes: #668614)
- Fix description-synopsis-starts-with-article.
* Use install file to install the binary, icons and desktop file.
* Drop dirs file. Not needed.
* Add watch file. Thanks to Bart Martens.
* Update debian/copyright to copyright format 1.0.
* Add icon entry to menu file.
* Install icons to /usr/share/pixmaps.
- Convert to empire-logo.xpm with imagemagick at build time.
* Add empire.desktop file.
2006-10-20 - Peter Palfrader <weasel@debian.org>
empire (1.7-3) unstable; urgency=low
* Move table header one to the right in battle probabilities
in manpage (Closes: #383003).
* Capitalise menu title (Closes: #357794).
* Describe in brief that the interface is not a fancy GUI and that
commands are to be entered with the keyboard in the package's
description.
* Change Standards-Version to 3.7.2.
2005-09-21 - Peter Palfrader <weasel@debian.org>
empire (1.7-2) unstable; urgency=low
* Update upstream url in debian/copyright.
* Update FSF address in debian/copyright.
* Increase standards-version to 3.6.2 from 3.6.1.
* Change DH_COMPAT to 4, from 2. This or at least the rebuild with a
recent debhelper will cause the menu fil to be installed in usr/share
now. Of course also increase version in Build-Depends.
* Some whitespace change in the manpage, so that a line does not start with
"'empmovie".
2005-03-08 - Peter Palfrader <weasel@debian.org>
empire (1.7-1) unstable; urgency=low
* New upstream version.
* Fix a FTBFS with gcc 4: Move the static void mark_cont() declaration
outside of the good_cont() function definition (Closes: #298431).
2004-04-25 - Peter Palfrader <weasel@debian.org>
empire (1.6-1) unstable; urgency=low
* New upstream version.
* Update standards version to 3.6.1.
* Fix build dependency on debhelper: it needs to be versioned (>=2).

See Also

Package Description
empty-expect_0.6.20b-1ubuntu1_amd64.deb Run processes and applications under pseudo-terminal
emscripten-doc_1.22.1-1build1_all.deb LLVM-to-JavaScript Compiler
emscripten_1.22.1-1build1_amd64.deb LLVM-to-JavaScript Compiler
emu8051_1.1.1-1build1_amd64.deb Emulator and simulator for 8051 microcontrollers
enamdict_2016.12.06-1_all.deb Dictionary of Japanese proper names
enblend_4.2-3_amd64.deb image blending tool
enca_1.19-1_amd64.deb Extremely Naive Charset Analyser - binaries
encfs_1.9.2-2build2_amd64.deb encrypted virtual filesystem
encuentro_5.0-1_all.deb Access the content of the Encuentro channel, and others
endless-sky-data_0.9.8-1_all.deb data files for Endless Sky
endless-sky-high-dpi_0.9.8-1_all.deb space exploration and combat game
endless-sky_0.9.8-1_amd64.deb space exploration and combat game
enemylines3_1.2-8_amd64.deb semi-abstract first person 3d-shooter game
enemylines7_0.6-4ubuntu2_amd64.deb first person 3d-shooter game
enfuse_4.2-3_amd64.deb image exposure blending tool
Advertisement
Advertisement